## org.apache.lucene.index
Class StaleReaderException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.lucene.index.StaleReaderException

All Implemented Interfaces:
  Serializable

    public class StaleReaderException

extends IOException

This exception is thrown when an `IndexReader` tries to make changes to the index (via `IndexReader.deleteDocument(int)`, `IndexReader.undeleteAll()` or `IndexReader.setNorm(int, java.lang.String, byte)`) but changes have already been committed to the index since this reader was instantiated. When this happens you must open a new reader on the current index to make the changes.

See Also:
  Serialized Form

Constructor Summary
`StaleReaderException(String message)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StaleReaderException

    public StaleReaderException(String message)